Subject: Re: bug#36878: guix system reconfigure broken

From: Alex Sassmannshausen <[email-masked]>
Date: Thu, 01 Aug 2019 10:21:30 +0100

Thanks for reporting this, I experienced the same issue but blamed it on
my own infrastructure instead!

Good to hear it's resolved now.

Alex

Robert Vollmert <[email-masked]> writes:

> Hi,
>
> it appears that commit 5c8c8c455420af27189d6045b3599fe6e27ad012
>
>   guix system: Reimplement 'reconfigure’.
>
> breaks guix system reconfigure. In particular, after reconfiguring,
> shepherd doesn’t know about the updated versions of services.
>
> The usual output below is missing; after reverting the commit it’s
> fine again.
>
> guix system: loading new services: …
> To complete the upgrade, run 'herd restart SERVICE' to stop,
> upgrade, and restart each service that was not automatically restarted.
> shepherd: Evaluating user expression (let* ((services (map primitive-load (?))) # ?) ?).
> shepherd: Service user-homes has been started.
> shepherd: Service term-auto could not be started.
> bootloader successfully installed on '/dev/sda’
>
> I see that some system tests for “guix system reconfigure” were added
> after this change. Might I suggest adding them before the change next
> time around, and making sure they pass both before and after?
>
> Cheers
> Robert